﻿using System.Web.Mvc;

namespace Mvc_FileResult.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        //classe MediaTypeNames.Application = Especifica o tipo de dados do aplicativo 
        //em um anexo de email.
        public FileResult Download()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes(@"c:\dados\Tabacaria.txt");
            string fileName = "meuArquivo.txt";
            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        public FileResult ArquivoFilePathResult()
        {
            string nomeArquivo = @"c:\dados\SuperDVDVB.pdf";
            string contentType = "application/pdf";

            return new FilePathResult(nomeArquivo, contentType);
        }

        public ActionResult ArquivoPDF()
        {
            return File("~/Arquivos/SuperDVDVB.pdf", "application/pdf");
        }
       
        public ActionResult ArquivoAudio()
        {
            return File("~/Arquivos/Bee_Gees.wav", "audio/x-wav");
        }
        public ActionResult ArquivoRTF()
        {
            return File("~/Arquivos/macoratti.rtf", "application/msword");
        }
    }
}